# Class DefaultRelationshipFactory

Default implementation of data/support/RelationshipFactory!RelationshipFactory that creates built-in API relationship types.

#### Implements

- RelationshipFactory

#####
Index

### Constructors

constructor

### Properties

instance

### Methods

create

##
Constructors

### constructor

- new DefaultRelationshipFactory(): DefaultRelationshipFactory

- #### Returns DefaultRelationshipFactory

##
Properties

### `Static` instance

instance: DefaultRelationshipFactory = ...

Singleton instance of this type.

##
Methods

### create

- create(properties): Relationship

- Creates a data/_Relationship!Relationship from the given properties.

  #### Parameters

  - properties: RelationshipProperties

    The relationship properties.

  #### Returns Relationship

  Implementation of RelationshipFactory.create